<?xml version="1.0" encoding="UTF-8"?>
<!--
| Copyright (c) 2009 Pixware SARL. All rights reserved.
|
| Author: Hussein Shafie
|
| This file is part of the XMLmind DITA Converter project.
| For conditions of distribution and use, see the accompanying LEGAL.txt file.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xs="http://www.w3.org/2001/XMLSchema"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                exclude-result-prefixes="xs"
                version="2.0">
  
  <!-- glossentry ======================================================== -->

  <xsl:attribute-set name="glossentry" use-attribute-sets="block-style">
  </xsl:attribute-set>

  <xsl:template match="*[contains(@class,' glossentry/glossentry ')]">
    <fo:block xsl:use-attribute-sets="glossentry">
      <xsl:call-template name="commonAttributes"/>
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>

  <!-- glossterm ========================================================= -->

  <xsl:attribute-set name="glossterm">
    <xsl:attribute name="font-weight">bold</xsl:attribute>
    <xsl:attribute name="keep-with-next.within-column">always</xsl:attribute>
  </xsl:attribute-set>

  <xsl:template match="*[contains(@class,' glossentry/glossterm ')]">
    <fo:block xsl:use-attribute-sets="glossterm">
      <xsl:call-template name="commonAttributes"/>
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>

  <!-- glossdef ========================================================== -->

  <xsl:attribute-set name="glossdef">
    <xsl:attribute name="margin-left">4em</xsl:attribute>
  </xsl:attribute-set>

  <xsl:template match="*[contains(@class,' glossentry/glossdef ')]">
    <fo:block xsl:use-attribute-sets="glossdef">
      <xsl:call-template name="commonAttributes"/>
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>

  <!-- glossentry/related-links ========================================== -->

  <xsl:attribute-set name="glossentry-related-links">
    <xsl:attribute name="margin-left">4em</xsl:attribute>
  </xsl:attribute-set>

  <xsl:attribute-set name="glossentry-related-links-title"
                     use-attribute-sets="title">
  </xsl:attribute-set>

  <xsl:template match="*[contains(@class,' glossentry/glossentry ')]/*[contains(@class,' topic/related-links ')]">
    <fo:block xsl:use-attribute-sets="glossentry-related-links">
      <xsl:call-template name="commonAttributes"/>

      <fo:block xsl:use-attribute-sets="glossentry-related-links-title">
        <xsl:call-template name="localize">
          <xsl:with-param name="message" select="'relatedLinks'"/>
        </xsl:call-template>
      </fo:block>

      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>

</xsl:stylesheet>
